import request from '@/utils/request'
import { URL } from '@/config'

export function getApproved(params) {
  return request({
    url: URL.shop.base.live.getApproved,
    method: 'get',
    params,
  })
}

export function addGood(data) {
  return request({
    url: URL.shop.base.live.addGood,
    method: 'post',
    data,
  })
}

export function updateGood(data) {
  return request({
    url: URL.shop.base.live.updateGood,
    method: 'post',
    data,
  })
}

export function deleteGood(data) {
  return request({
    url: URL.shop.base.live.deleteGood,
    method: 'post',
    data,
  })
}

export function onsale(data) {
  return request({
    url: URL.shop.base.live.onsale,
    method: 'post',
    data,
  })
}
